Set Own Seat Level
curl --request PUT \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/licenses/{licenseId}/seats/{userId}/level \
--header 'Content-Type: application/json' \
--data '
{
"viewOnlyFeatureKeys": [],
"noAccessFeatureKeys": []
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/licenses/{licenseId}/seats/{userId}/level"
payload = {
"viewOnlyFeatureKeys": [],
"noAccessFeatureKeys": []
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({viewOnlyFeatureKeys: [], noAccessFeatureKeys: []})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/licenses/{licenseId}/seats/{userId}/level', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
License Seats
Set Own Seat Level
PUT
/
v1
/
workspaces
/
{workspaceId}
/
licenses
/
{licenseId}
/
seats
/
{userId}
/
level
Set Own Seat Level
Path Parameters
Pattern:
^\d+$Pattern:
^\d+$Pattern:
^\d+$Body
application/json
Maximum array length:
9Available options:
brand_standard, catalog, specifications, procurement_finance, logistics, budget_analysis, collaboration, ai_assistant, ai_extra_credits Maximum array length:
9Available options:
brand_standard, catalog, specifications, procurement_finance, logistics, budget_analysis, collaboration, ai_assistant, ai_extra_credits Response
204
⌘I